<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:xfahrtenschreiber="https://gitlab.opencode.de/akdb/xoev/xfahrtenschreiber/-/raw/main/V0_1_6"
           targetNamespace="https://gitlab.opencode.de/akdb/xoev/xfahrtenschreiber/-/raw/main/V0_1_6"
           version="0.1.6"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified">
   <xs:annotation>
      <xs:appinfo>
         <standard>
            <nameLang>XFahrtenschreiber</nameLang>
            <nameKurz>XFahrtenschreiber</nameKurz>
            <nameTechnisch>xfahrtenschreiber</nameTechnisch>
            <kennung>urn:xoev-de:hsm:standard:xfahrtenschreiber</kennung>
            <beschreibung>XFahrtenschreiber - XÖV-Standard für die elektronische Kommunikation mit den Ausgabestellen von Fahrtenschreiberkarten.</beschreibung>
         </standard>
         <versionStandard>
            <version>0.1.6</version>
            <versionXOEVProfil>3.0.1</versionXOEVProfil>
            <versionXOEVHandbuch>3.0</versionXOEVHandbuch>
            <versionXGenerator>3.1.1</versionXGenerator>
            <versionModellierungswerkzeug>2022x</versionModellierungswerkzeug>
            <nameModellierungswerkzeug>MagicDraw</nameModellierungswerkzeug>
         </versionStandard>
      </xs:appinfo>
   </xs:annotation>
   <xs:include schemaLocation="xfahrtenschreiber-baukasten.xsd"/>
   <xs:element name="administration.rueckweisung.0010">
      <xs:annotation>
         <xs:appinfo>
            <rechtsgrundlage>FPersV § 2</rechtsgrundlage>
            <title>Rückweisung einer Nachricht</title>
         </xs:appinfo>
         <xs:documentation>Mit dieser Nachricht wird eine an den Leser gerichtete Ursprungsnachricht als fehlerhaft an den Autor zurückgewiesen. Die erhaltene Nachricht wurde nicht verarbeitet. Diese Nachricht ist für die Verwendung in asynchronen Prozessen konzipiert.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:complexContent>
            <xs:extension base="xfahrtenschreiber:Nachricht.G2G">
               <xs:sequence>
                  <xs:element name="rueckweisung" type="xfahrtenschreiber:Rueckweisung">
                     <xs:annotation>
                        <xs:documentation>Hier werden alle Informationen zur Rückweisung einer Nachricht angegeben.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
               </xs:sequence>
            </xs:extension>
         </xs:complexContent>
      </xs:complexType>
   </xs:element>
   <xs:element name="administration.quittung.0020">
      <xs:annotation>
         <xs:appinfo>
            <rechtsgrundlage>FPersV § 2</rechtsgrundlage>
            <title>Quittung transportieren</title>
         </xs:appinfo>
         <xs:documentation>Mit dieser Nachricht wird eine Quittung transportiert. Diese wird durch jede Nachricht ausgelöst. Auf diese Nachricht darf nicht mit einer weiteren Nachricht administration.quittung.0020 geantwortet werden. Die ID der Quittungsnachricht wird im Feld nachrichtenkopf/identifikation.nachricht/nachrichtenUUID und die ID der Nachricht, die quittiert wird, wird im Feld nachrichtenkopf/referenzUUID abgelegt.</xs:documentation>
      </xs:annotation>
      <xs:complexType>
         <xs:complexContent>
            <xs:extension base="xfahrtenschreiber:Nachricht.G2G">
               <xs:sequence>
                  <xs:element name="quittung" type="xfahrtenschreiber:Status">
                     <xs:annotation>
                        <xs:documentation>Mit diesem Element wird eine Nachricht in Form eines technischen oder zusätzlich auch in Form eines fachlichen Status quittiert.</xs:documentation>
                     </xs:annotation>
                  </xs:element>
               </xs:sequence>
            </xs:extension>
         </xs:complexContent>
      </xs:complexType>
   </xs:element>
</xs:schema>
